Module java.base
Package java.io

## Class NotSerializableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.ObjectStreamException
        - - java.io.NotSerializableException

All Implemented Interfaces:
  Serializable

    public class NotSerializableException
    extends ObjectStreamException

Thrown when an instance is required to have a Serializable interface. The serialization runtime or the class of the instance can throw this exception. The argument should be the name of the class.

Since:
  1.1
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NotSerializableException()` Constructs a NotSerializableException object.
`NotSerializableException(String classname)` Constructs a NotSerializableException object with message string.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### NotSerializableException

    public NotSerializableException()

Constructs a NotSerializableException object.

#### NotSerializableException

    public NotSerializableException(String classname)

Constructs a NotSerializableException object with message string.

Parameters:
  `classname` - Class of the instance being serialized/deserialized.